List fee revenue
Used by a partner. Retrieve revenue generated from merchant fees.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/profile.read scope.
GET
/accounts/{accountID}/fee-revenue
curl -X GET "https://api.moov.io/accounts/{accountID}/fee-revenue" \
-H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()
var accountID string
mc.ListFeeRevenue(ctx, accountID)
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListFeeRevenueRequest req = new ListFeeRevenueRequest() {
Skip = 60,
Count = 20,
AccountID = "795465fb-f955-40e7-9d48-4a6d6fbdbdf2",
};
var res = await sdk.FeePlans.ListFeeRevenueAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFeeRevenueRequest;
import io.moov.sdk.models.operations.ListFeeRevenueResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("<value>")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListFeeRevenueRequest req = ListFeeRevenueRequest.builder()
.accountID("795465fb-f955-40e7-9d48-4a6d6fbdbdf2")
.skip(60L)
.count(20L)
.build();
ListFeeRevenueResponse res = sdk.feePlans().listFeeRevenue()
.request(req)
.call();
if (res.incurredFees().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: '<value>',
)
req = Models::Operations::ListFeeRevenueRequest.new(
skip: 60,
count: 20,
account_id: '795465fb-f955-40e7-9d48-4a6d6fbdbdf2',
)
res = s.fee_plans.list_fee_revenue(request: req)
unless res.incurred_fees.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "<value>",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.feePlans.listFeeRevenue({
skip: 60,
count: 20,
accountID: "795465fb-f955-40e7-9d48-4a6d6fbdbdf2",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('<value>')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListFeeRevenueRequest(
skip: 60,
count: 20,
accountID: '795465fb-f955-40e7-9d48-4a6d6fbdbdf2',
);
$response = $sdk->feePlans->listFeeRevenue(
request: $request
);
if ($response->incurredFees !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="<value>",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.fee_plans.list_fee_revenue(account_id="795465fb-f955-40e7-9d48-4a6d6fbdbdf2", skip=60, count=20)
# Handle response
print(res)The request completed successfully.
[
{
"feeID": "string",
"accountID": "string",
"walletID": "string",
"createdOn": "2019-08-24T14:15:22Z",
"feeName": "string",
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"generatedBy": {
"transferID": "string",
"cardID": "string",
"disputeID": "string",
"accountID": "string",
"bankAccountID": "string",
"invoiceID": "string"
},
"feeGroup": "string",
"residualID": "string"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
The Partner's AccountID.
Query parameters
skip
integer
<int64>
count
integer
<int64>
Default:
200transferID
string
Optional transfer ID to filter the results by.
disputeID
string
Optional dispute ID to filter the results by.
residualID
string
Optional residual ID to filter the results by.
startDateTime
string
<RFC-3339>
Optional date-time to inclusively filter all fees created after this date-time.
endDateTime
string
<RFC-3339>
Optional date-time to exclusively filter all fees created before this date-time.
Response
accountID
string
Account ID the fee belongs to.
amount
object
The fee amount.
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
createdOn
string<date-time>
Timestamp when the fee was created.
feeGroup
string
Describes the source of the fee, such as a Moov-set processing fee, a network pass-through fee, or an interchange or discount fee.
feeID
string
feeName
string
Name of the fee.
generatedBy
object
Object indicating what generated the fee (TransferID, CardID, DisputeID, AccountID, or BankAccountID).
The entity that generated the fee.
Show child attributes
accountID
string
bankAccountID
string
cardID
string
disputeID
string
invoiceID
string
transferID
string
residualID
string
Unique identifier for this residual payment calculation.
walletID
string
Wallet ID associated with the fee.